Skip to main content

Atrium API

List Member Accounts

This endpoint returns an array which contains information on every non-MFA credential associated with a specific member.

info

Institution credentials are not the same as member credentials. Use institution credentials to create a new member and member credentials to update an existing member.

GET
/users/{user_guid}/members/{member_guid}/accounts

Request sample

Language:sh

_10
curl -i 'https://vestibule.mx.com/users/{user_guid}/members/{member_guid}/accounts' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

200
Language:json

_41
{
_41
"accounts": [
_41
{
_41
"apr": 1.12,
_41
"apy": 1.13,
_41
"available_balance": 1000.23,
_41
"available_credit": 100.23,
_41
"balance": 1000.23,
_41
"created_at": "2016-10-13T17:57:37+00:00",
_41
"credit_limit": 100,
_41
"currency_code": "USD",
_41
"day_payment_is_due": 20,
_41
"guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
_41
"institution_code": "mxbank",
_41
"interest_rate": null,
_41
"is_closed": false,
_41
"last_payment": null,
_41
"last_payment_at": null,
_41
"matures_on": null,
_41
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
_41
"minimum_balance": null,
_41
"minimum_payment": null,
_41
"name": "Test Account 2",
_41
"original_balance": null,
_41
"payment_due_at": null,
_41
"payoff_balance": null,
_41
"started_on": null,
_41
"subtype": null,
_41
"total_account_value": null,
_41
"type": "SAVINGS",
_41
"updated_at": "2016-10-13T18:08:00+00:00",
_41
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
_41
}
_41
],
_41
"pagination": {
_41
"current_page": 1,
_41
"per_page": 25,
_41
"total_entries": 1,
_41
"total_pages": 1
_41
}
_41
}